- name: check whether the TPM is available
  ansible.builtin.stat:
    path: /dev/tpm0
  register: tpm_available

- name: install TPM tooling
  when: tpm_available
  become: true
  ansible.builtin.apt: name={{ item }} state=present
  with_items:
    - clevis-tpm2
    - tpm2-initramfs-tool
    - tpm2-openssl
    - tpm2-tools
    - tss2
